QGIS Application - Bug report #20634
QGIS 3.4.1 crashes when idle
2018-11-26 09:19 PM - ariel loncarich

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.1 Regression?:
Operating System: windows 10 Easy fix?:
Pull Request or Patch supplied: Resolution:
Crashes QGIS or corruptsdata:

No
No
duplicate

Copied to github as #: 28454

Description

User Feedback

It happened several times when QGIS is idle (working in other app)

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77
Stack Trace

QgsWinNative::initializeMainWindow :
QAbstractEventDispatcher::filterNativeEvent :
CallWindowProcW :

CallWindowProcW :

GetMenuState :
KiUserCallbackDispatcher :
NtUserPeekMessage :

PeekMessageW :

PeekMessageW :
QEventDispatcherWin32::processEvents :
gt_plugin_query_metadata :
QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851¢597
Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:
Duplicates QGIS Application - Bug report # 20386: Program crashes in idle phase

Closed

2018-11-06

History

#1 - 2018-11-26 09:20 PM - Giovanni Manghi

2024-05-21

12




- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of a ton of identical reports, fixed for 3.4.2.

#2 - 2018-11-27 09:51 AM - Jiirgen Fischer
- Duplicates Bug report #20386: Program crashes in idle phase added

2024-05-21

22



